#ifndef DRAWING_PRIMITIVES_H
#define DRAWING_PRIMITIVES_H

// draw an approximation to the unit sphere centred on the origin, with given RGB color
void draw_sphere(float r, float g, float b);

// draw an approximation to the cube from -1 to 1 on each axis, with given RGB color
void draw_cube(float r, float g, float b);

// draw a cone with unit circle base on the xy-plane centred at (0,0,0), extending to its tip at (0,0,1),
// with given RGB color
void draw_cone(float r, float g, float b);

#endif
